Bug 683434 - Fedora-15-Alpha-i386 fails to upgrade with /tmp on tmpfs
Summary: Fedora-15-Alpha-i386 fails to upgrade with /tmp on tmpfs
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda   
(Show other bugs)
Version: rawhide
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-09 12:16 UTC by Ralf Corsepius
Modified: 2012-10-23 14:57 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-23 14:57:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ralf Corsepius 2011-03-09 12:16:08 UTC
Description of problem:
I gave the Fedora-15-Alpha-i386-DVD.iso a try to upgrade a Fedora-13 installation on a testsystem.

It failed early in the upgrade with a box telling:
"An error occurred mounting device tmpfs as /tmp: mount
failed (-2, None). This is a fatal error and the install cannot
continue.

Press Enter to exit the installer."

How reproducible:
I tried twice.

Steps to Reproduce:
1. On an installed Fedora add something similar to this to /etc/fstab
none /tmp tmpfs   size=256m  0 0
2. Insert DVD, reboot and try to upgrade
  
Actual results:
c.f. above

Expected results:
function

Comment 1 Sebastian Krämer 2011-05-25 11:13:13 UTC
This was still the case in the final F15 installer (DVD). Fortunately I got it working by commenting the tmpfs-line from fstab, in the next run the installer succeeded (well, there were other problems with the install, but..).

Nice to read about this now :(   (You see, there *are* people out there with /tmp as tmpfs..)

Comment 2 Paul Maddox 2011-05-25 14:23:43 UTC
Same issue for me with the preupgrade tool for F15 final from F14 final.  fstab entries for me:

tmpfs           /dev/shm        tmpfs   defaults        0 0
tmpfs /tmp tmpfs defaults,noatime,mode=1777 0 0

Trying commenting both lines; will feed back with progress.

Comment 3 Paul Maddox 2011-05-25 20:05:18 UTC
To confirm my earlier post: I commented the lines above and it successfully installed.  No further issues related to the install.

Comment 4 David Lehman 2011-08-05 23:32:12 UTC
The /dev/shm line is ignored anyway -- we write our own /dev/shm line during the upgrade.

I have been trying to do tmpfs mounts from the shell in the installer environment (F15) and am seeing mount crash when passed either the noatime or size= options. So far, without either of those options, I have been able to successfully mount tmpfs filesystems and have been able to get an upgrade done.

FWIW I am also seeing mount crash (SEGV) when I try to mount a tmpfs with noatime in the F16 installer environment.

Comment 5 David Lehman 2011-08-05 23:42:24 UTC
In F16 installer environment it appears to be the combination of noatime and mode= that triggers the crash.

Comment 6 Chris Lumens 2012-10-23 14:57:05 UTC
As you may know, we are moving to a completely separate process for handling upgrades, one that will not involve anaconda at all.  Thus, I believe this bug will not be valid when that is in place and there's nothing for us to fix.


Note You need to log in before you can comment on or make changes to this bug.